%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedCore

Name:           python-twisted-core
Version:        15.2.1
Release:        %mkrel 2
Summary:        Event-based framework for internet applications
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/core/
Source0:        http://twistedmatrix.com/Releases/Core/%{mainver}/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-zope-interface
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:       pycrypto
Requires:       python-OpenSSL
Requires:       python-zope-interface
Requires:       python-gi

Conflicts:      python-twisted < 2.0.0
Obsoletes:      python-twisted-core-doc < 13.1.0-6

%description
Twisted is a framework, written in Python, for writing networked
applications. It includes implementations of a number of commonly used
network services such as a web server, an IRC chat server, a mail
server, a relational database interface and an object broker. Developers
can build applications using all of these services as well as custom
services that they write themselves. Twisted also includes a user
authentication system that controls access to services and provides
services with user context information to implement their own security
models.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --skip-build

# no need for c source code
find %{buildroot}%{python_sitearch}/twisted -type f -name '*.c' | xargs rm -f


%files
%doc CREDITS LICENSE NEWS README ChangeLog.Old
%{_bindir}/*
%dir %{python_sitearch}/twisted
%{python_sitearch}/twisted/*
%{python_sitearch}/Twisted_Core-%{version}-py%{pyver}.egg-info


%changelog
* Fri Mar 04 2016 bb <bb< 15.2.1-2pclos2016
- rebuild openssl

* Sun Sep 13 2015 bb <bb> 15.2.1-1pclos2015
- update
